<template>
  <Link :href="href" :class="classes">
    <div v-if="active">
      <span
        class="
          absolute
          inset-y-0
          left-0
          w-1
          bg-yellow-500
          rounded-tr-lg rounded-br-lg
        "
        aria-hidden="true"
      />
    </div>

    <Icon :name="icon" :style="classesIcon" />
    <span :class="classesSpanText"> {{ title }} </span>
  </Link>
</template>

<script>
import { Link } from "@inertiajs/inertia-vue3";

import Icon from "./Icon.vue";
export default {
  components: {
    Link,
    Icon,
  },

  props: ["href", "active", "title", "icon"],

  computed: {
    classes() {
      return this.active
        ? "flex items-center rounded px-4 py-3 text-gray-600 bg-gray-100 transition-colors duration-200 transform"
        : "flex items-center rounded px-4 py-3 text-gray-600 transition-colors duration-200 transform hover:bg-gray-100 hover:text-yellow-500";
    },
    classesIcon() {
      return this.active ? "text-yellow-500 w-5 h-5" : "w-5 h-5";
    },
    classesSpanText() {
      return this.active
        ? "mx-4 text-yellow-500 font-medium italic"
        : "mx-4 font-medium";
    },
  },
};
</script>
